﻿using Sample.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;
using Syncfusion.Linq;
using Syncfusion.JavaScript.DataSources;

namespace Sample.Controllers
{
    public partial class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            var data1 = OrderRepository.GetAllRecords().ToList();
            var data2 = EmployeeRepository.GetAllRecords().ToList();
            ViewBag.data1 = data1;
            ViewBag.data2 = data2;
            var userTemplates = data1.Where(w=>w.ShipCountry != null && w.ShipCountry != "").Select(c => c.ShipCountry).Distinct();//filter the data
            var City = data2.Where(w => w.City != null && w.City != "").Select(c => c.City).Distinct();//filter the data
            var dropData = new List<object>();
            foreach (var Cust in userTemplates)            
               dropData.Add(new { text = Cust });
            foreach (var name in City)
                dropData.Add(new { text = name });
            ViewBag.autoData = dropData;            
            return View();
        }
    }

}
